Subject: Re: Source for Natural Insulation Products?

From: Daniel Finn <[email-masked]>
Date: 26 Jan 1996 17:48:30 GMT

Just saw your search for an alternative to fiberglass.  Have some info 
in my office, but am not there now.  I am an architect specializing in 
ecologically friendly, healthful homes and communities.  Call me at 
413-253-4090, or e-mail me at [email-masked].  -Mary Kraus, Architect